
*********************
********************* STIGMA VERSUS HUMAN CAPITAL LOST
*********************
clear
set more off
local path_data = "${root}/ENOE/Cleandata"
local path_results = "${root}/ENOE/Cleandata/Results"

************************* Gender
	use "`path_data'/base_0518.dta", clear

	global disp3 lag_closing_2-lag_closing_11 type_disp3_3-type_disp3_7
	global cov1 age age2 aedu i.marital i.industry i.ent i.year_survey
    global cov2 age age2 aedu i.sex i.marital i.industry i.ent i.year_survey
		
*********************************** GENDER    FIGURE 15
	reg lrw_hour $disp3 $cov1 if t_rw_hour == 1 & sex==1, cl(ent)
	outreg2 using "`path_results'/regl_het.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/hetsx1_lrw_hour.xls", replace firstrow(var)
	restore

************************************ GENDER: FIGURE 15
	
	reg lrw_hour $disp3 $cov1 if t_rw_hour == 1 & sex==2, cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append  bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/hetsx2_lrw_hour.xls", replace firstrow(var)
	restore

	***********************************
	***********************************
	***********************************
	***********************************
****************************************EDUCATION 
****************************************
*****************************************FIGURE 12 LOW EDUCATION 
	reg lrw_hour $disp3 $cov2 if t_rw_hour == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5] , cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/heted1_lrw_hour.xls", replace firstrow(var)
	restore

*****************************************FIGURE 12 HIGH EDUCATION 
	reg lrw_hour $disp3 $cov2 if t_rw_hour == 1 & [edu==6 | edu==7 | edu==8 | edu==9], cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append  bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/heted2_lrw_hour.xls", replace firstrow(var)
	restore

**********************************************FIGURE 13 LOW EDUCATION 
	reg hours_work $disp3 $cov1 if t_hours_work == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5], cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closinged1_hours_work.xls", replace firstrow(var)
	restore
	
**********************************************FIGURE 13 HIGH EDUCATION 
	reg hours_work $disp3 $cov1 if t_hours_work == 1 & [edu==6 | edu==7 | edu==8 | edu==9], cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closinged2_hours_work.xls", replace firstrow(var)
	restore
	
****************************************FIGURE 14 LOW EDUCATION 
	reg formal $disp3 $cov1 if t_hours_work == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5], cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closinged1_informal.xls", replace firstrow(var)
	restore

****************************************FIGURE 14 HIGH EDUCATION 
	reg formal $disp3 $cov1 if t_hours_work == 1 & [edu==6 | edu==7 | edu==8 | edu==9], cl(ent)
	outreg2 using "`path_results'/regl_het.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_het_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closinged2_informal.xls", replace firstrow(var)
	restore

clear
	



