*****************************************
********************** STIGMA VERSUS HUMAN CAPITAL LOST
*****************************************
clear
set more off
local path_data = "${root}/ENOE/Cleandata"
local path_results = "${root}/ENOE/Cleandata/Results"

use "`path_data'/base_0518.dta", clear

*Plant closing: Figure 1
	global disp3 lag_closing_2-lag_closing_11 type_disp3_3-type_disp3_7
	global cov1 age age2 aedu i.sex i.marital i.industry i.ent i.year_survey

	reg lrw_hour $disp3 $cov1 if t_rw_hour == 1, cl(ent)
	outreg2 using "`path_results'/regl_closing.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_closing_ci.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closing_lrw_hour.xls", replace firstrow(var) /*HERE: Figure1*/
	restore

*Plant closing: Figure 2
	reg hours_work $disp3 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_closing.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_closing_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

*
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closing_hours_work.xls", replace firstrow(var)
	restore

*Plant closing Figure: 3

	reg formal $disp3 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_closing.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_closing_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_closing_2"
		replace lag = 1 if parm == "lag_closing_3"
		replace lag = 2 if parm == "lag_closing_4"
		replace lag = 3 if parm == "lag_closing_5"
		replace lag = 4 if parm == "lag_closing_6"
		replace lag = 5 if parm == "lag_closing_7"
		replace lag = 6 if parm == "lag_closing_8"
		replace lag = 7 if parm == "lag_closing_9"
		replace lag = 8 if parm == "lag_closing_10"
		replace lag = 9 if parm == "lag_closing_11"
		replace lag = 10 if parm == "lag_closing_12"
	export excel "`path_results'/closing_informal.xls", replace firstrow(var)
	restore

**********************************
***************************QUIT
	
	global disp5 lag_quit_2-lag_quit_11 type_disp3_1 type_disp3_2 type_disp3_5-type_disp3_7
	global cov1 age age2 aedu i.sex i.marital i.industry i.ent i.year_survey

**********************************************
***********************************************Figure 4
	reg lrw_hour $disp5 $cov1 if t_rw_hour == 1, cl(ent)
	outreg2 using "`path_results'/regl_quit.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_quit_ci.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_quit_2"
		replace lag = 1 if parm == "lag_quit_3"
		replace lag = 2 if parm == "lag_quit_4"
		replace lag = 3 if parm == "lag_quit_5"
		replace lag = 4 if parm == "lag_quit_6"
		replace lag = 5 if parm == "lag_quit_7"
		replace lag = 6 if parm == "lag_quit_8"
		replace lag = 7 if parm == "lag_quit_9"
		replace lag = 8 if parm == "lag_quit_10"
		replace lag = 9 if parm == "lag_quit_11"
		replace lag = 10 if parm == "lag_quit_12"
	export excel "`path_results'/quit_lrw_hour.xls", replace firstrow(var)
	restore
************************************************
***********************************************Figure 5
	reg hours_work $disp5 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_quit.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_quit_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_quit_2"
		replace lag = 1 if parm == "lag_quit_3"
		replace lag = 2 if parm == "lag_quit_4"
		replace lag = 3 if parm == "lag_quit_5"
		replace lag = 4 if parm == "lag_quit_6"
		replace lag = 5 if parm == "lag_quit_7"
		replace lag = 6 if parm == "lag_quit_8"
		replace lag = 7 if parm == "lag_quit_9"
		replace lag = 8 if parm == "lag_quit_10"
		replace lag = 9 if parm == "lag_quit_11"
		replace lag = 10 if parm == "lag_quit_12"
	export excel "`path_results'/quit_hours_work.xls", replace firstrow(var)
	restore

*****************************************************	
*********************************************Figure 6
	reg formal $disp5 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_quit.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_quit_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_quit_2"
		replace lag = 1 if parm == "lag_quit_3"
		replace lag = 2 if parm == "lag_quit_4"
		replace lag = 3 if parm == "lag_quit_5"
		replace lag = 4 if parm == "lag_quit_6"
		replace lag = 5 if parm == "lag_quit_7"
		replace lag = 6 if parm == "lag_quit_8"
		replace lag = 7 if parm == "lag_quit_9"
		replace lag = 8 if parm == "lag_quit_10"
		replace lag = 9 if parm == "lag_quit_11"
		replace lag = 10 if parm == "lag_quit_12"
	export excel "`path_results'/quit_informal.xls", replace firstrow(var)
	restore

	**********************************************************************
	global disp7 lag_cob_2-lag_cob_11 type_disp3_2-type_disp3_4 type_disp3_6 type_disp3_7
	global cov1 age age2 aedu i.sex i.marital i.industry i.ent i.year_survey

*****************************************************CLOSED OWN BUSINESS
********************************************************Figure 7	
	reg lrw_hour $disp7 $cov1 if t_rw_hour == 1, cl(ent)
	outreg2 using "`path_results'/regl_cob.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_cob_ci.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_cob_2"
		replace lag = 1 if parm == "lag_cob_3"
		replace lag = 2 if parm == "lag_cob_4"
		replace lag = 3 if parm == "lag_cob_5"
		replace lag = 4 if parm == "lag_cob_6"
		replace lag = 5 if parm == "lag_cob_7"
		replace lag = 6 if parm == "lag_cob_8"
		replace lag = 7 if parm == "lag_cob_9"
		replace lag = 8 if parm == "lag_cob_10"
		replace lag = 9 if parm == "lag_cob_11"
		replace lag = 10 if parm == "lag_cob_12"
	export excel "`path_results'/cob_lrw_hour.xls", replace firstrow(var)
	restore

************************************************************
*************************************************************Figure 8
	reg hours_work $disp7 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_cob.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_cob_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci
	
	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_cob_2"
		replace lag = 1 if parm == "lag_cob_3"
		replace lag = 2 if parm == "lag_cob_4"
		replace lag = 3 if parm == "lag_cob_5"
		replace lag = 4 if parm == "lag_cob_6"
		replace lag = 5 if parm == "lag_cob_7"
		replace lag = 6 if parm == "lag_cob_8"
		replace lag = 7 if parm == "lag_cob_9"
		replace lag = 8 if parm == "lag_cob_10"
		replace lag = 9 if parm == "lag_cob_11"
		replace lag = 10 if parm == "lag_cob_12"
	export excel "`path_results'/cob_hours_work.xls", replace firstrow(var)
	restore

****************************************************************
*******************************************************Figure 9
	reg formal $disp7 $cov1 if t_hours_work == 1, cl(ent)
	outreg2 using "`path_results'/regl_cob.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	outreg2 using "`path_results'/regl_cob_ci.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10) ci

	preserve
	parmest, fast
	drop if _n > 10
	gen lag = 0 if parm == "lag_cob_2"
		replace lag = 1 if parm == "lag_cob_3"
		replace lag = 2 if parm == "lag_cob_4"
		replace lag = 3 if parm == "lag_cob_5"
		replace lag = 4 if parm == "lag_cob_6"
		replace lag = 5 if parm == "lag_cob_7"
		replace lag = 6 if parm == "lag_cob_8"
		replace lag = 7 if parm == "lag_cob_9"
		replace lag = 8 if parm == "lag_cob_10"
		replace lag = 9 if parm == "lag_cob_11"
		replace lag = 10 if parm == "lag_cob_12"
	export excel "`path_results'/cob_informal.xls", replace firstrow(var)
	restore

	
clear



