
*********************************
********************************* STIGMA VERSUS HUMAN CAPITAL LOST
*********************************

clear
cd "${root}/ENOE/Cleandata" 
set more off

use ".\base_0518.dta", clear


	tab type_disp3 industry_lost, row
	
	gen closing = .
	replace closing = 1 if type_disp3 == 1
	replace closing = 0 if type_disp3 == 0

	gen xindustry_lost = industry_lost
	replace xindustry_lost = industry if tenure <= 1

	tab xindustry_lost, gen(xindustry_lost_)

	global cov age age2 aedu i.sex i.marital i.industry i.ent i.year_survey

	global ind10 xindustry_lost_1-xindustry_lost_9 

	reg closing $ind10 $cov, cl(ent)
	outreg2 using "./Results/reg_ind.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
	preserve
	parmest, fast
	drop if _n > 10
	export excel "./Results/fe_industry.xls", sheetmodify firstrow(var) sheet(ind10)
	restore

	
