***** 
***** Stigma versus Human Capital Lost
*****
clear
local path_do = "${dofile}"
local path_original = "${root}/ENOE"
local path_data = "${root}/ENOE/Cleandata"
local results = "${root}/ENOE/Cleandata/Results"

cd "`path_data'"
set more off

use ".\base_0518.dta", clear

	global cov1 age age2 aedu i.sex i.marital i.industry i.ent i.year_survey
	global cov2 age age2 aedu i.marital i.industry i.ent i.year_survey
	global cov3 age age2 i.sex i.marital i.industry i.ent i.year_survey
	global disp1 type_disp3_2-type_disp3_7

 *Regressions Table  4
    reg lrw_hour $disp1 $cov1 if t_rw_hour == 1, cl(ent)
	outreg2 using "./Results/regb_0518.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg hours_work $disp1 $cov1 if t_hours_work == 1, cl(ent)m
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg formal $disp1 $cov1, cl(ent)
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	*Regressions ANNEX Table A1
    reg lrw_hour $disp1 $cov2 if t_rw_hour == 1 & sex==1, cl(ent)
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg hours_work $disp1 $cov2 if t_hours_work == 1 & sex==1, cl(ent)m
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg formal $disp1 $cov2 if sex==1, cl(ent)
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	*Regressions ANNEX Table A1
    reg lrw_hour $disp1 $cov2 if t_rw_hour == 1 & sex==2, cl(ent)
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg hours_work $disp1 $cov2 if t_hours_work == 1 & sex==2, cl(ent)m
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg formal $disp1 $cov2 if sex==2, cl(ent)
	outreg2 using "./Results/regb_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	
*Regressions Table 5
    reg lrw_hour $disp1 $cov1 if t_rw_hour == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5], cl(ent)
	outreg2 using "./Results/reged_0518.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
	reg lrw_hour $disp1 $cov1 if t_rw_hour == 1 & [edu==6 | edu==7 | edu==8 | edu==9], cl(ent)
	outreg2 using "./Results/reged_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg hours_work $disp1 $cov1 if t_hours_work == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5], cl(ent)m
	outreg2 using "./Results/reged_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	reg hours_work $disp1 $cov1 if t_hours_work  == 1 & [edu==6 | edu==7 | edu==8 | edu==9], cl(ent)m
	outreg2 using "./Results/reged_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
	reg formal $disp1 $cov1 if [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5], cl(ent)
	outreg2 using "./Results/reged_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
	reg formal $disp1 $cov1 if [edu==6 | edu==7 | edu==8 | edu==9] , cl(ent)
	outreg2 using "./Results/reged_0518.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)	

clear

