
**********************************
********************************** STIGMA VERSUS HUMAN CAPITAL LOST 
**********************************

clear
cd "${root}/ENOE"
set more off

use "./Cleandata/did_0518.dta", clear

	global cov1 age_i age_i2 aedu_i i.sex i.marital_i i.industry_i i.ent i.year_survey
	global cov2 age_i age_i2 aedu_i i.marital_i i.industry_i i.ent i.year_survey


*** OLS without fixed effects common sample of Table 7
*** Row 1
	reg lrw_hour closing $cov1 if t_dlrw_hour == 1 & lag_closing<=1, cl(ent)
    outreg2 using "./Cleandata/Results/DID_t7.xls", replace bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
***Row 2 
	reg lrw_hour closing $cov2 if t_dlrw_hour == 1 & sex == 1 & lag_closing<=1, cl(ent)
	outreg2 using "./Cleandata/Results/DID_t7.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

*** Row 3
	reg lrw_hour closing $cov2 if t_dlrw_hour == 1 & sex == 2 & lag_closing<=1, cl(ent)
	outreg2 using "./Cleandata/Results/DID_t7.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
*** Row High education
	reg lrw_hour closing $cov1 if t_dlrw_hour == 1 & [edu==0 | edu==1 | edu==2 |edu==3 | edu==4 | edu==5] & lag_closing<=1, cl(ent)
	outreg2 using "./Cleandata/Results/DID_t7.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)
	
*** Row low education 
	reg lrw_hour closing $cov1 if t_dlrw_hour == 1 & [edu==6 | edu==7 | edu==8 | edu==9] & lag_closing<=1, cl(ent)
	outreg2 using "./Cleandata/Results/DID_t7.xls", append bdec(4) tdec(4) rdec(4) alpha(0.01, 0.05, 0.10)

	clear
	