* Prepare dataset 
* Employment dataset: coe1t

clear
set more off
local path_do = "${dofile}"
local path_original = "${root}/ENOE"
local path_data = "${root}/ENOE/Cleandata"

foreach k of num 105 205 305 405 106 206 207 208 109 110 111 112 113 114 115 116 117 118 {

	use "`path_data'/coe1t`k'.dta",clear
	
	* Employment of last week
	rename p1 work_lw 
		label define a1 1 "Yes" 2 "No"
		label value work_lw a1
		label var work_lw "Did you work at least 1 hour last week?"

	rename p1a1 work_inc
		label define a2 1 "Yes"
		label value work_inc a2

	rename p1a2 work_h
		label define a3 2 "Yes"
		label value work_h a3

	rename p1a3 nwork_lw
		label define a4 3 "Yes"
		label value nwork_lw a4

	gen work = work_lw
		replace work = work_inc if work_lw == 2 & work_inc != .
		label var work "Did you work at least 1 hour last week?"

	drop work_inc work_h nwork_lw
	
	rename p1c r_nwork_lw
		label define a5 1 "Huelga o paro laboral" 2 "Paro tecnico" 3 "Suspension temporal de sus funciones (asalariado)" 4 "Asistencia a cursos de capacitacion" 5 "Vacaciones" 6 "Permiso, enfermedad o arreglo de asuntos personales" 7 "Falta de vehiculo o descompostura de maquinaria" 8 "Falta de materias primas, financiamiento o clientes" 9 "Mal tiempo o fenómeno natural" 10 "Termino de temporada de trabajo o cultivo" 11 "Comenzara un trabajo o negocio nuevo" 12 "Otra razon" 99 "No sabe"
		label value r_nwork_lw a5

	*Do you have an own business?
	rename p1b ownbus
		label define a9 1 "Yes" 2 "No"
		label value ownbus a9
		label var ownbus "Do you have an own business?"
		
	* Month and year when you started to search
	rename p2a_mes month_search
		replace month_search = . if month_search == 99 | month_search == 0 
		label var month_search "Month when you begin to search for a job"
	rename p2a_anio year_search
		replace year_search = . if year_search == 9999 | year_search == 0
		label var year_search "Year when you begin to search for a job"
		
	* Month and year when you finished the search
	rename p2b_mes month_end
		replace month_end = . if month_end == 99 | month_end == 0
		label var month_end "Month when you finished the search for a job"
	rename p2b_anio year_end
		replace year_end = . if year_end == 9999 | year_end == 0
		label var year_end "Year when you finished the search for a job"

	*Job with or without contract
	rename p3i contract 
		replace contract = . if contract == 9
		label define a779 1 "Yes" 2 "No"
		label value contract a779
		label var contract "Do you have a written contract at your work?"

	*Beggining of primary occupation
	rename p3r_anio year_beginwork
	replace year_beginwork = . if year_beginwork == 9999 | year_beginwork == 0
		label var year_beginwork "When did you start working in you actual job?"
	
	rename p3r_mes month_beginwork
	replace month_beginwork = . if month_beginwork == 99 | month_beginwork == 0
		label var month_beginwork "When did you start working in you actual job?"

	*Industry
	gen industry = . 
	replace industry = 1 if p4a < 2100
	replace industry = 2 if p4a >= 2100 & p4a < 2300
	replace industry = 4 if p4a >= 2300 & p4a < 2400
	replace industry = 3 if p4a >= 3100 & p4a < 3400
	replace industry = 5 if p4a >= 4300 & p4a < 4700
	replace industry = 6 if p4a >= 7200 & p4a < 7300
	replace industry = 7 if p4a >= 4800 & p4a < 5200
	replace industry = 8 if p4a >= 5200 & p4a < 5700
	replace industry = 9 if p4a >= 6100 & p4a < 7200
	replace industry = 10 if p4a >= 8100 & p4a < .

	label define indu 1 "Agriculture" 2 "Mining and electricity" 3 "Manufacturing" 4 "Construction" 5 "Wholesale" 6 "Hotels and restaurants" 7 "Transport and communications" 8 "Professional and financial services" 9 "Social services" 10 "Other services" 
	label value industry indu
	label var industry "Industry"

	
	keep r_def cd_a ent con upm d_sem n_pro_viv v_sel n_hog h_mud n_ent per n_ren n_inf year_survey work_lw work r_nwork_lw ownbus month_beginwork year_beginwork month_search year_search month_end year_end contract industry
	
	sort cd_a ent con n_pro_viv v_sel n_hog h_mud n_ren, stable

	save "`path_data'/coe1t`k'm.dta", replace
	
}

clear



	
	
