* Prepare dataset 
* Employment dataset: coe2t

clear
set more off
local path_do = "${dofile}"
local path_original = "${root}/ENOE"
local path_data = "${root}/ENOE/Cleandata"

foreach k of num 105 205 305 405 106 206 207 208 109 110 111 112 113 114 115 116 117 118 {

	use "`path_data'/coe2t`k'.dta", clear
	
	*Income of primary occupation
	rename p6a1 type_w
		label define v 1 "Yes"
		label value type_w v
		label var type_w "Do you receive your income as a wage?"

	rename p6a2 type_own
		label define v1 2 "Yes"
		label value type_own v1
		label var type_own "Do you receive your salary as an earning or income of your own business?"

	rename p6a3 type_no
		label define v2 3 "Yes"
		label value type_no v2
		label var type_no "Do you receive no salary?"
	
	rename p6a4 type_noprev
		label define x 4 "Yes"
		label value type_noprev x
		label var type_noprev "Do you receive your salary as: none of the above?"

	rename p6b1 freq_w 
		label define a5 1 "Monthly" 2 "Fortnightly" 3 "Weekly" 4 "Daily" 5 "Other" 6 "By commission from sales or piece rates" 7 "Don't know" 8 "Not responded"
		label value freq_w a5
		label var freq_w "How frequently do you receive your incomes?"

	rename p6b2 w
		label var w "Income in mexican pesos (frequency = freq_w)"
	gen w_week = .
		replace w_week = w/4 if freq_w == 1
		replace w_week = w/2 if freq_w == 2
		replace w_week = w if freq_w == 3
		replace w_week = w*5 if freq_w == 5
	
	gen medat = .
		replace medat = 1 if p6d == 1 | p6d == 2 | p6d == 3 | p6d == 4 | p6d == 5
		replace medat = 2 if p6d == 6
		label define v0 1 "Yes" 2 "No"
		label value medat v0
		label var medat "Do you have access to medial atention thanks to your primary occupation?"

	*Unemployment
	rename p9 unemp
		replace unemp = . if unemp == 9 
		label define v6 1 "Yes" 2 "No"
		label value unemp v6
		label var unemp "Have you ever lost your job or business?"

	rename p9a r_unemp
		label define v7 1 "Lost or finished job" 2 "Quit" 3 "Closed own business" 4 "Retirement" 5 "Prision, accident or illness" 6 "Returned or deported from the USA" 7 "Natural disaster" 8 "None of the above" 9 "Do not know"
		label value r_unemp v7
		label var r_unemp "The last time, why did you lose your job or business?"
	
	gen r_unemp_ans = 0
		replace  r_unemp_ans = 1 if r_unemp != .
		label var r_unemp_ans "Answered last job charact"

	rename p9b r_lost
		label define v8 1 "Plant closing" 2 "Downsizing of staff" 3 "Relocation of company" 4 "End of contract" 5 "Not called again" 6 "Fired" 7 "None of the above" 9 "Do not know"
		label value r_lost v8
		label var r_lost "Why you were fired?"
	
	rename p9f_anio year_lost
		replace year_lost = . if year_lost == 9999
	rename p9f_mes month_lost
		replace month_lost = . if month_lost == 99 
		label var year_lost "Year you became unemployed"
		label var month_lost "Month you became unemployed"
	
	rename p9mcan w_lost
	
	*Industry
	gen industry_lost = . 
	replace industry_lost = 1 if p9i < 2100
	replace industry_lost = 2 if p9i >= 2100 & p9i < 2300
	replace industry_lost = 4 if p9i >= 2300 & p9i < 2400
	replace industry_lost = 3 if p9i >= 3100 & p9i < 3400
	replace industry_lost = 5 if p9i >= 4300 & p9i < 4700
	replace industry_lost = 6 if p9i >= 7200 & p9i < 7300
	replace industry_lost = 7 if p9i >= 4800 & p9i < 5200
	replace industry_lost = 8 if p9i >= 5200 & p9i < 5700
	replace industry_lost = 9 if p9i >= 6100 & p9i < 7200
	replace industry_lost = 10 if p9i >= 8100 & p9i < .

	label define indus 1 "Agriculture" 2 "Mining and electricity" 3 "Manufacturing" 4 "Construction" 5 "Wholesale" 6 "Hotels and restaurants" 7 "Transport and communications" 8 "Professional and financial services" 9 "Social services" 10 "Other services" 11 "Public Administration" 
	label value industry_lost indus
	label var industry_lost "Industry where the individual worked when he lost its job"

	capture keep r_def cd_a ent con upm d_sem n_pro_viv v_sel n_hog h_mud n_ent per n_ren eda n_inf year_survey type_w type_own type_no typr_noprev freq_w w w_week medat unemp r_unemp r_unemp_ans r_lost year_lost year_month w_lost industry_lost fac
	
	sort cd_a ent con n_pro_viv v_sel n_hog h_mud n_ren, stable

	save "`path_data'/coe2t`k'm.dta", replace
	
}


clear


	
	
