* Prepare dataset August 22 2023

clear
set more off
local path_do = "${dofile}"
local path_original = "${root}/ENOE"
local path_data = "${root}/ENOE/Cleandata"

local dataset = "COE1T COE2T SDEMT"

*2005
foreach dst of local dataset {
foreach k of num 105 205 305 405 {

	use "`path_original'/`dst'`k'.dta", clear
	
	destring _all, replace
	
	* Labels of id variables
	capture label var r_def "Survey result"
	label var cd_a "City"
	label var ent "Entity"
	label var con "Control"
	label var upm "Primary unit of sample"
	label var d_sem "Semanal distribution"
	label var n_pro_viv "Progresive number of dwelling"
	label var v_sel "Number of selected dwelling"
	label var n_hog "Number of household"
	label var h_mud "Removal household"
	label var n_ent "Number of visits or survey"
	label var per "Quarter and Year"
	label var n_ren "Number of line of the houselhold member"
	capture label var n_inf "Number of line of the informer"
	
	
	gen year_survey = 2005
		
	save "`path_data'/`dst'`k'.dta", replace
	
}
}


*2006
foreach dst of local dataset {
foreach k of num 106 206 {

	use "`path_original'/`dst'`k'.dta", clear
	
	destring _all, replace
	
	* Labels of id variables
	capture label var r_def "Survey result"
	label var cd_a "City"
	label var ent "Entity"
	label var con "Control"
	label var upm "Primary unit of sample"
	label var d_sem "Semanal distribution"
	label var n_pro_viv "Progresive number of dwelling"
	label var v_sel "Number of selected dwelling"
	label var n_hog "Number of household"
	label var h_mud "Removal household"
	label var n_ent "Number of visits or survey"
	label var per "Quarter and Year"
	label var n_ren "Number of line of the houselhold member"
	capture label var n_inf "Number of line of the informer"
	
	
	gen year_survey = 2006
	

	save "`path_data'/`dst'`k'.dta", replace
	
}
}

* 2007 & 2008
local year1 = "07 08"
foreach dst of local dataset {
foreach y of local year1 {

	use "`path_original'/`dst'2`y'.dta", clear
	
	destring _all, replace
	
	* Labels of id variables
	capture label var r_def "Survey result"
	label var cd_a "City"
	label var ent "Entity"
	label var con "Control"
	label var upm "Primary unit of sample"
	label var d_sem "Semanal distribution"
	label var n_pro_viv "Progresive number of dwelling"
	label var v_sel "Number of selected dwelling"
	label var n_hog "Number of household"
	label var h_mud "Removal household"
	label var n_ent "Number of visits or survey"
	label var per "Quarter and Year"
	label var n_ren "Number of line of the houselhold member"
	capture label var n_inf "Number of line of the informer"

	gen year_survey = 20`y'
	
	save "`path_data'/`dst'2`y'.dta", replace
	
}
}
*/
*2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 & 2018

local year2 = "09 10 11 12 13 14 15 16 17 18"
foreach dst of local dataset {
foreach y of local year2 {

	use "`path_original'/`dst'1`y'.dta", clear
	
	destring _all, replace
	
	* Labels of id variables
	capture label var r_def "Survey result"
	label var cd_a "City"
	label var ent "Entity"
	label var con "Control"
	label var upm "Primary unit of sample"
	label var d_sem "Semanal distribution"
	label var n_pro_viv "Progresive number of dwelling"
	label var v_sel "Number of selected dwelling"
	label var n_hog "Number of household"
	label var h_mud "Removal household"
	label var n_ent "Number of visits or survey"
	label var per "Quarter and Year"
	label var n_ren "Number of line of the houselhold member"
	capture label var n_inf "Number of line of the informer"


	gen year_survey = 20`y'

	save "`path_data'/`dst'1`y'.dta", replace
	
}
}
 clear