* Prepare dataset 
* Household dataset: hogt

clear
set more off
local path_do = "${dofile}"
local path_original = "${root}/ENOE"
local path_data = "${root}/ENOE/Cleandata"

foreach k of num 105 205 305 405 {

	use "`path_original'/hogt`k'.dta", clear
	
	keep d_mes d_anio cd_a ent con n_pro_viv v_sel n_hog h_mud
	destring _all, replace
	
	rename d_mes month_int
		replace month_int = . if month_int == 99 | month_int == 0
	rename d_anio year_int
		replace year_int = . if year_int == 9999 | year_int == 0
	label var month_int "Interview's month"
	label var year_int "Interview's year"

	sort cd_a ent con n_pro_viv v_sel n_hog h_mud, stable

	save "`path_data'/hogt`k'm.dta", replace

}


* 2006
foreach k of num 106 206 {

	use "`path_original'/hogt`k'.dta", clear
	
	keep d_mes d_anio cd_a ent con n_pro_viv v_sel n_hog h_mud
	destring _all, replace
	
	rename d_mes month_int
		replace month_int = . if month_int == 99 | month_int == 0
	rename d_anio year_int
		replace year_int = . if year_int == 9999 | year_int == 0
	label var month_int "Interview's month"
	label var year_int "Interview's year"
	
	sort cd_a ent con n_pro_viv v_sel n_hog h_mud, stable

	save "`path_data'/hogt`k'm.dta", replace

	
}

* 2007 & 2008
local year1 = "07 08"

foreach y of local year1 {

	use "`path_original'/hogt2`y'.dta", clear
	
	keep d_mes d_anio cd_a ent con n_pro_viv v_sel n_hog h_mud
	destring _all, replace
	
	rename d_mes month_int
		replace month_int = . if month_int == 99 | month_int == 0
	rename d_anio year_int
		replace year_int = . if year_int == 9999 | year_int == 0
	label var month_int "Interview's month"
	label var year_int "Interview's year"
	
	sort cd_a ent con n_pro_viv v_sel n_hog h_mud, stable

	save "`path_data'/hogt2`y'm.dta", replace
	
}

* 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 & 2017
local year2 = "09 10 11 12 13 14 15 16 17 18"

foreach y of local year2 {

	use "`path_original'/hogt1`y'.dta", clear
	
	keep d_mes d_anio cd_a ent con n_pro_viv v_sel n_hog h_mud
	destring _all, replace
	
	rename d_mes month_int
		replace month_int = . if month_int == 99 | month_int == 0
	rename d_anio year_int
		replace year_int = . if year_int == 9999 | year_int == 0
	label var month_int "Interview's month"
	label var year_int "Interview's year"
	
	sort cd_a ent con n_pro_viv v_sel n_hog h_mud, stable

	save "`path_data'/hogt1`y'm.dta", replace
	
}

clear